Bug 843834 - VirtualBox send shutdown signal ignored by F17 guest VM
VirtualBox send shutdown signal ignored by F17 guest VM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 09:55 EDT by rbugz
Modified: 2013-08-01 12:54 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:54:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rbugz 2012-07-27 09:55:56 EDT
Description of problem:
acpid-2.0.16-4.fc17.x86_64.rpm installation causes the "Send shutdown signal" from VirtualBox (Host Windows7 64bit, Guest Fedora17 x86_64) to be ignored.

Version-Release number of selected component (if applicable):
2.0.16-4.fc17.x86_64

How reproducible:
Always 

Steps to Reproduce:
1. Update acpid to 2.0.16-4.fc17.x86_64 within Fedora 17 VM (VirtualBox host
   Windows 7 64bit)
2. Click on window close 'x' at top right.
3. Select 'Send shutdown signal" from resulting menu
  
Actual results:
Nothing happens

Expected results:
Fedora 17 should power down

Additional info:
Replacing /etc/acpi/actions/power.sh with the one from 2.0.16-2.fc17.x86_64
resolves the problem.
Comment 1 Jaroslav Škarvada 2012-08-08 09:43:31 EDT
Gnome shell?

Previous behavior of acpid was wrong - it shouldn't respond to ACPI power button event if there is desktop power manager running. In Gnome shell the event should be catched and responded by (AFAIK) gnome-settings-daemon. This works OK on real HW. I have no idea why this doesn't work in VirtualBox, maybe gnome-setting-daemon bug? You can easily check by removing acpid:

# yum remove acpid

For example in KDE this worked OK (also in VirtualBox). Thus I think this bug should be reassigned to gnome-settings-daemon.
Comment 2 rbugz 2012-08-10 08:35:03 EDT
The same signal-ignoring behaviour happens at the login screen. Presumably the gnome shell isn't running at that point.

Results with various combinations are:

1. With no acpid (yum remove acpid): shutdown signal ignored from both a logged-in session and from the login screen.

2. With the latest acpid (yum install acpid and making sure the daemon is started): shutdown signal ignored from both a logged-in session and from the login screen.

3. With an older acpid (yum downgrade acpid): shutdown signal honoured from both a logged-in session and from the login screen.

where 'shutdown signal' means clicking the close box on the host window and
selecting the "Send shutdown signal..." option.
Comment 3 Jaroslav Škarvada 2012-08-10 09:06:05 EDT
(In reply to comment #2)
> The same signal-ignoring behaviour happens at the login screen. Presumably
> the gnome shell isn't running at that point.
> 
Probably the same problem, SSHed into the box with gdm login scren active:
# pgrep -u gdm -fl gnome-settings-daemon
947 /usr/libexec/gnome-settings-daemon

I am not sure why it needs it, but the gnome-settings-daemon should handle the ACPI event. This also doesn't seem to work on real HW. Reassigning to gnome-settings-deamon.
Comment 4 Bastien Nocera 2013-02-19 08:54:12 EST
gnome-settings-daemon doesn't handle ACPI events. logind does on modern Fedora distros.
Comment 5 Michal Schmidt 2013-02-19 10:07:52 EST
This bug was reported against Fedora 17. logind was not involved in handling power button events in F17. It does that since F18.
Comment 6 Fedora End Of Life 2013-07-04 01:41:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 12:54:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.